[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.Clear

Clear the hash table.

## Declaration

Source position: contnrs.pp line 379

`public procedure TFPCustomHashTable.Clear; virtual;`

## Description

Clear removes all keys and their associated data from the hash table. The data itself is not freed from memory, this should be done by the programmer.

## Errors

None.

## See also

Destroy |  | Free the hash table.

Documentation generated on: Feb 26 2014